%dibuja la carretara con la resolucion determinada
%   DIBUJA_CARRETERA(carretara)
%    por defecto se asume resolucion de 0.25
%
%   DIBUJA_CARRETERA(carretara,resolucion)
%    especifica una resolucion. Se recomienda que sea menor que 1
function dibuja_carretera(carretera,resolucion)

	if nargin < 2
    	resolucion = 0.25; %valor por defecto
	end

	x = ppval(carretera.splineX,[1:resolucion:carretera.N]);
	y = ppval(carretera.splineY,[1:resolucion:carretera.N]);
	kmTotal = longitud_carretera(carretera);

	handle = plot(x,y,'b-');
	title(sprintf('Trazado de la carretera "%s".    KM TOTALES: %3.4f',carretera.nombrefichero,kmTotal));
	xlabel(sprintf('x (%.2d Kilmetros)',carretera.escala));
	ylabel(sprintf('y (%.2d Kilmetros)',carretera.escala));
	%aumentamos grosor de la linea
	set(handle,'LineWidth',1.5);

return
