%funcion diferencial de longitud utilizada en la integracion
%
% dl = sqrt(dx^2 + dy^2) = sqrt(f'(t)^2 + g'(t)^2)*dt donde
% dx = f'(t)dt y dy = g'(t)dt
%
% acepta las formas DLONG(carretera,t) y DLONG(t,carretera) para poder
% usarse con QUAD
function valor = dlong(arg1,arg2)
    d = derivada(arg1,arg2);
    valor = sqrt(d(:,1).^2 + d(:,2).^2);
return;
